CAN'T INSTALL TWILIGHT RENDER - TIED ALL VERSION

For all the users of Twilight Render (V1 & V2), to ask questions and get started
Post Reply
maurimarconi
Posts: 4
Joined: Thu Dec 26, 2019 6:51 pm

CAN'T INSTALL TWILIGHT RENDER - TIED ALL VERSION

Post by maurimarconi » Thu Dec 26, 2019 6:55 pm

Hi everyone,

I upgraded to SketchUp 2019 on my Mac (I previously used SketchUp 2015 with a previous version of Twilight and I had no problem with that) I tried to install all the version of Twilight render but no one of them working... for all of them a weird message appears to me when I launch the software
I attach it at the end of this post.
I tried everything, but nothing seems to help...

Error: #<LoadError: dlopen(/Users/Marconi/Library/Application Support/SketchUp 2019/SketchUp/Plugins/Twilight/TwilightLib2014.bundle, 9): no suitable image found. Did find:
/Users/Marconi/Library/Application Support/SketchUp 2019/SketchUp/Plugins/Twilight/TwilightLib2014.bundle: mach-o, but wrong architecture - /Users/Marconi/Library/Application Support/SketchUp 2019/SketchUp/Plugins/Twilight/TwilightLib2014.bundle>
/Applications/SketchUp 2019/SketchUp.app/Contents/Frameworks/Ruby.framework/Versions/2.5.1/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require'
/Applications/SketchUp 2019/SketchUp.app/Contents/Frameworks/Ruby.framework/Versions/2.5.1/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require'
/users/marconi/library/application support/sketchup 2019/sketchup/plugins/twilight/twilight_start.rbs:10:in `<main>'
/Users/Marconi/Library/Application Support/SketchUp 2019/SketchUp/Plugins/Twilight/twilight_loader.rb:2:in `eval'
/Users/Marconi/Library/Application Support/SketchUp 2019/SketchUp/Plugins/Twilight/twilight_loader.rb:2:in `require'
/Users/Marconi/Library/Application Support/SketchUp 2019/SketchUp/Plugins/Twilight/twilight_loader.rb:2:in `<top (required)>'
/Applications/SketchUp 2019/SketchUp.app/Contents/Resources/Content/Tools/extensions.rb:197:in `require'
/Applications/SketchUp 2019/SketchUp.app/Contents/Resources/Content/Tools/extensions.rb:197:in `load'
/Users/Marconi/Library/Application Support/SketchUp 2019/SketchUp/Plugins/twilight.rb:11:in `register_extension'
/Users/Marconi/Library/Application Support/SketchUp 2019/SketchUp/Plugins/twilight.rb:11:in `<top (required)>'

Chris
Posts: 5086
Joined: Sun Mar 08, 2009 3:00 am
OS: Win10
SketchUp: 2016

Re: CAN'T INSTALL TWILIGHT RENDER - TIED ALL VERSION

Post by Chris » Thu Dec 26, 2019 7:33 pm

You appear to have installed a very outdated version of Twilight Render. You will need to remove all installs of Twilight Render from your SketchUp 2019 plugins folder and download and install the latest version from our website.

maurimarconi
Posts: 4
Joined: Thu Dec 26, 2019 6:51 pm

Re: CAN'T INSTALL TWILIGHT RENDER - TIED ALL VERSION

Post by maurimarconi » Fri Jan 10, 2020 9:14 pm

Chris wrote:
Thu Dec 26, 2019 7:33 pm
You appear to have installed a very outdated version of Twilight Render. You will need to remove all installs of Twilight Render from your SketchUp 2019 plugins folder and download and install the latest version from our website.
Thank for your kindly reply, but as I typed, I tried ALL Twilight version, starting with the latest one of course!... it making me mad because I loved this render engine, and actually it doesn't run....

Chris
Posts: 5086
Joined: Sun Mar 08, 2009 3:00 am
OS: Win10
SketchUp: 2016

Re: CAN'T INSTALL TWILIGHT RENDER - TIED ALL VERSION

Post by Chris » Fri Jan 10, 2020 11:38 pm

Please post the error log you get when you install the latest version of Twilight Render V2.

Also, you need to make sure you manually delete any previous installs of Twilight Render from the SketchUp plugins folder so there isn't anything left behind to cause problems.

maurimarconi
Posts: 4
Joined: Thu Dec 26, 2019 6:51 pm

Re: CAN'T INSTALL TWILIGHT RENDER - TIED ALL VERSION

Post by maurimarconi » Sat Jan 11, 2020 7:31 pm

Chris wrote:
Fri Jan 10, 2020 11:38 pm
Please post the error log you get when you install the latest version of Twilight Render V2.

Also, you need to make sure you manually delete any previous installs of Twilight Render from the SketchUp plugins folder so there isn't anything left behind to cause problems.
Here you are what it appears:

yes, I deleted all before installing (see picture of my "plugin" folder before installing twilight)
Schermata 2020-01-11 alle 20.28.32.png
Schermata 2020-01-11 alle 20.28.32.png (157.38 KiB) Viewed 1085 times
Schermata 2020-01-11 alle 20.28.02.png
Schermata 2020-01-11 alle 20.28.02.png (56.34 KiB) Viewed 1085 times

Fletch
Posts: 11133
Joined: Fri Mar 20, 2009 2:41 pm
OS: PC 64bit
SketchUp: 2013-20
Contact:

Re: CAN'T INSTALL TWILIGHT RENDER - TIED ALL VERSION

Post by Fletch » Mon Jan 13, 2020 8:25 am

maurimarconi :welcome:

Which version of Mac OS are you using, please? Is it 10.11 or later? Is it 64bit?

I posted this to a recent mac user experiencing similar installation challenges.
Image

maurimarconi
Posts: 4
Joined: Thu Dec 26, 2019 6:51 pm

Re: CAN'T INSTALL TWILIGHT RENDER - TIED ALL VERSION

Post by maurimarconi » Sat Jan 25, 2020 10:16 am

Fletch wrote:
Mon Jan 13, 2020 8:25 am
maurimarconi :welcome:

Which version of Mac OS are you using, please? Is it 10.11 or later? Is it 64bit?

I posted this to a recent mac user experiencing similar installation challenges.
Image
Hi Fletch,
thank for you kindly reply
that's my version
Schermata 2020-01-25 alle 11.15.38.png
Schermata 2020-01-25 alle 11.15.38.png (157.01 KiB) Viewed 794 times

Fletch
Posts: 11133
Joined: Fri Mar 20, 2009 2:41 pm
OS: PC 64bit
SketchUp: 2013-20
Contact:

Re: CAN'T INSTALL TWILIGHT RENDER - TIED ALL VERSION

Post by Fletch » Sat Jan 25, 2020 11:07 am

Twilight requires Mac 10.11 or later. Apple added certain dependent libraries (for programmers in the SDK) in Mac 10.11 that are not present/available in earlier versions.
Attachments
macversions1.jpg
macversions1.jpg (31.25 KiB) Viewed 787 times

Post Reply

Who is online

Users browsing this forum: Bing [Bot] and 9 guests